/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.pojos;


import com.tabajara.base.tables.interfaces.ISensor;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Sensor implements VertxPojo, ISensor {

    private static final long serialVersionUID = 485307654;

    private Integer senid;
    private String  sendescricao;
    private String  senparametro;
    private Integer senatualizacao;
    private String  senativo;
    private String  senvirtual;
    private Integer fktipsenid;

    public Sensor() {}

    public Sensor(Sensor value) {
        this.senid = value.senid;
        this.sendescricao = value.sendescricao;
        this.senparametro = value.senparametro;
        this.senatualizacao = value.senatualizacao;
        this.senativo = value.senativo;
        this.senvirtual = value.senvirtual;
        this.fktipsenid = value.fktipsenid;
    }

    public Sensor(
        Integer senid,
        String  sendescricao,
        String  senparametro,
        Integer senatualizacao,
        String  senativo,
        String  senvirtual,
        Integer fktipsenid
    ) {
        this.senid = senid;
        this.sendescricao = sendescricao;
        this.senparametro = senparametro;
        this.senatualizacao = senatualizacao;
        this.senativo = senativo;
        this.senvirtual = senvirtual;
        this.fktipsenid = fktipsenid;
    }

    @Override
    public Integer getSenid() {
        return this.senid;
    }

    @Override
    public Sensor setSenid(Integer senid) {
        this.senid = senid;
        return this;
    }

    @Override
    public String getSendescricao() {
        return this.sendescricao;
    }

    @Override
    public Sensor setSendescricao(String sendescricao) {
        this.sendescricao = sendescricao;
        return this;
    }

    @Override
    public String getSenparametro() {
        return this.senparametro;
    }

    @Override
    public Sensor setSenparametro(String senparametro) {
        this.senparametro = senparametro;
        return this;
    }

    @Override
    public Integer getSenatualizacao() {
        return this.senatualizacao;
    }

    @Override
    public Sensor setSenatualizacao(Integer senatualizacao) {
        this.senatualizacao = senatualizacao;
        return this;
    }

    @Override
    public String getSenativo() {
        return this.senativo;
    }

    @Override
    public Sensor setSenativo(String senativo) {
        this.senativo = senativo;
        return this;
    }

    @Override
    public String getSenvirtual() {
        return this.senvirtual;
    }

    @Override
    public Sensor setSenvirtual(String senvirtual) {
        this.senvirtual = senvirtual;
        return this;
    }

    @Override
    public Integer getFktipsenid() {
        return this.fktipsenid;
    }

    @Override
    public Sensor setFktipsenid(Integer fktipsenid) {
        this.fktipsenid = fktipsenid;
        return this;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Sensor (");

        sb.append(senid);
        sb.append(", ").append(sendescricao);
        sb.append(", ").append(senparametro);
        sb.append(", ").append(senatualizacao);
        sb.append(", ").append(senativo);
        sb.append(", ").append(senvirtual);
        sb.append(", ").append(fktipsenid);

        sb.append(")");
        return sb.toString();
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(ISensor from) {
        setSenid(from.getSenid());
        setSendescricao(from.getSendescricao());
        setSenparametro(from.getSenparametro());
        setSenatualizacao(from.getSenatualizacao());
        setSenativo(from.getSenativo());
        setSenvirtual(from.getSenvirtual());
        setFktipsenid(from.getFktipsenid());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends ISensor> E into(E into) {
        into.from(this);
        return into;
    }

    public Sensor(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
